> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Enviar email desde bandeja compartida

> Operacion: Enviar email desde bandeja compartida.



## OpenAPI

````yaml /generated/specs/communications.json post /api/omnichannel/send-shared
openapi: 3.0.0
info:
  title: Raul API - Comunicaciones
  description: Inbox, omnichannel, bandejas compartidas, email sync, WhatsApp, spam y tags.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/omnichannel/send-shared:
    post:
      tags:
        - Omnichannel
      summary: Enviar email desde bandeja compartida
      description: 'Operacion: Enviar email desde bandeja compartida.'
      operationId: OmnichannelController_sendFromSharedMailbox
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendFromSharedMailboxDto'
      responses:
        '201':
          description: ''
      security:
        - bearerAuth: []
components:
  schemas:
    SendFromSharedMailboxDto:
      type: object
      properties:
        to:
          type: array
          items:
            type: string
        cc:
          type: array
          items:
            type: string
        subject:
          type: string
        body:
          type: string
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/AttachmentDto'
        shared_mailbox_id:
          type: string
          description: ID de la bandeja compartida
        send_mode:
          type: string
          description: Modo de envío
          enum:
            - send_as
            - on_behalf_of
      required:
        - to
        - subject
        - body
        - shared_mailbox_id
    AttachmentDto:
      type: object
      properties:
        name:
          type: string
          description: Nombre del archivo
        contentType:
          type: string
          description: MIME type del archivo
        contentBytes:
          type: string
          description: Contenido en base64
      required:
        - name
        - contentType
        - contentBytes
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````